-- ┌                                               ┐
-- │                 C, Cpp, objc                  │
-- └                                               ┘
local lsp = vim.lsp

local opts = require("lsp-options")

lsp.config("clangd", {
    cmd = {
        "clangd",
        "--suggest-missing-includes",
        "--clang-tidy",
    },
    filetypes = { "c", "cpp", "objc", "objcpp", "cuda", "proto", "ino" },
    capabilities = opts.capabilities,
    on_attach = opts.on_attach_no_formatting,
})

-- ── Enable configs ───────────────────────────────────────────────
local enable = vim.lsp.enable
enable("clangd")
